curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/reimbursement_types/{reimbursement_type} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/reimbursement_types/{reimbursement_type}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/reimbursement_types/{reimbursement_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "reimbursement_type",
"data": {
"type": "taxable_reimbursement",
"label": "Taxable Reimbursement",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Federal Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to Income Tax.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Federal Income Tax rates apply, plus the default outside-Canada surtax.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to CPP.",
"program_label": "CPP"
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to CPP.",
"program_label": "CPP"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to QPP.",
"program_label": "QPP"
}
]
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_oc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EI.",
"program_label": "EI"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to QPIP.",
"program_label": "QPIP"
}
]
},
{
"type": "wcb",
"label": "WCB",
"definitions": [
{
"jurisdiction": "ca_ab",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WorkSafeBC.",
"program_label": "WorkSafeBC"
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WorkSafeNB.",
"program_label": "WorkSafeNB"
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WorkplaceNL.",
"program_label": "WorkplaceNL"
},
{
"jurisdiction": "ca_ns",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_nt",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_nu",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WSCC.",
"program_label": "WSCC"
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WSIB.",
"program_label": "WSIB"
},
{
"jurisdiction": "ca_pe",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to CNESST.",
"program_label": "CNESST"
},
{
"jurisdiction": "ca_sk",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
},
{
"jurisdiction": "ca_yt",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to WCB.",
"program_label": "WCB"
}
]
},
{
"type": "eht",
"label": "EPT",
"definitions": [
{
"jurisdiction": "ca_bc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EHT.",
"program_label": "EHT"
},
{
"jurisdiction": "ca_mb",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to HE Levy.",
"program_label": "HE Levy"
},
{
"jurisdiction": "ca_nl",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to HAPSET.",
"program_label": "HAPSET"
},
{
"jurisdiction": "ca_on",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to EHT.",
"program_label": "EHT"
},
{
"jurisdiction": "ca_qc",
"effects": [
"withholding"
],
"help_text": "Taxable Reimbursement is subject to HSF.",
"program_label": "HSF"
}
]
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "14",
"help_text": "Employment Income",
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "A",
"help_text": "Employment Income Before Source Deductions",
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
}
]
},
"links": {
"self": "/reimbursement_types/taxable_reimbursement"
}
}Retrieve a reimbursement type
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Country code that adds each type's payroll calculations to the response, as the features and form_mappings fields. Currently only ca is supported. See Line item type features.
CA, GB Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("reimbursement_type").
Hide child attributes
Hide child attributes
The string identifier for this reimbursement type.
The human-readable display name for this reimbursement type.
Hide child attributes
Hide child attributes
The payroll calculation this entry describes.
eht, income_tax, insurable, pensionable, stat_payable, vacationable, wcb Human-readable name for the payroll calculation.
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
The jurisdiction this applies to (e.g. ca_federal, ca_on, ca_qc).
How this type affects the payroll calculation in this jurisdiction.
accrues_vacation_pay, included_in_stat_holiday_pay, reduces_base, tax_credit, withholding Plain-language explanation of how this type affects the calculation in this jurisdiction.
The program that applies in this jurisdiction, for calculations that use different programs by jurisdiction (e.g. CPP federally, QPP in Quebec; EI federally, QPIP in Quebec).
Hide child attributes
Hide child attributes
The form code (e.g. t4).
Human-readable form name.
The boxes on the form this type contributes to in at least one province.
Hide child attributes
Hide child attributes
The box or line identifier on the form.
Plain-language explanation of the box, when available.
The provinces of employment where amounts of this type are reported in this box. Most types report the same boxes in every province; a few, such as Quebec tips, do not.
The province of employment (e.g. ca_on, ca_qc).

